summaryrefslogtreecommitdiff
path: root/openwrt/package/base-files/default/sbin
diff options
context:
space:
mode:
authorMike Baker <mbm@openwrt.org>2006-04-08 21:11:49 +0000
committerMike Baker <mbm@openwrt.org>2006-04-08 21:11:49 +0000
commit893cb473a02fa4e5673c610b914d7389ba711bdf (patch)
treeb51db92d80262be4aad55696c6fc65ff531626d4 /openwrt/package/base-files/default/sbin
parentfda33a85fa33896f761a4e239c1ac4a63e775936 (diff)
downloadmtk-20170518-893cb473a02fa4e5673c610b914d7389ba711bdf.zip
mtk-20170518-893cb473a02fa4e5673c610b914d7389ba711bdf.tar.gz
mtk-20170518-893cb473a02fa4e5673c610b914d7389ba711bdf.tar.bz2
fix a bug that prevents the wgt634u from initializing the filesystem properly
SVN-Revision: 3601
Diffstat (limited to 'openwrt/package/base-files/default/sbin')
-rwxr-xr-xopenwrt/package/base-files/default/sbin/mount_root8
1 files changed, 6 insertions, 2 deletions
diff --git a/openwrt/package/base-files/default/sbin/mount_root b/openwrt/package/base-files/default/sbin/mount_root
index 38252e8..88a836c 100755
--- a/openwrt/package/base-files/default/sbin/mount_root
+++ b/openwrt/package/base-files/default/sbin/mount_root
@@ -22,9 +22,13 @@ if [ "$1" != "failsafe" ]; then
. /bin/firstboot
is_dirty
[ $? != 0 ] && {
- mount /dev/mtdblock/4 /jffs
+ echo "switching to jffs2"
+ mount /dev/mtdblock/4 /jffs -t jffs2
pivot /jffs /rom
- } || ramoverlay
+ } || {
+ echo "jffs2 unusable; using ramdisk"
+ ramoverlay
+ }
fi
fi